Index: locale/en/mlx.po
===================================================================
--- locale/en/mlx.po	(revision 828)
+++ locale/en/mlx.po	(revision 830)
@@ -383,5 +383,5 @@
 msgid "flightsel_prehelp_rep_rej"
 msgstr ""
-"<span color=\"red\">You have %d rejected and %d reported flight(s).</span>\n\n "
+"<span color=\"red\">You have %d reported and %d rejected flight(s).</span>\n\n "
 
 msgid "flightsel_help"
@@ -2445,5 +2445,5 @@
 
 msgid "pendflt_edit_reported"
-msgstr "_View/Edit..."
+msgstr "_Edit..."
 
 msgid "pendflt_refly_reported"
@@ -2456,9 +2456,9 @@
 msgstr "Rejected"
 
-msgid "pendflt_edit_rejected"
-msgstr "V_iew/Edit..."
+msgid "pendflt_view_rejected"
+msgstr "_View..."
 
 msgid "pendflt_refly_rejected"
-msgstr "R_efly"
+msgstr "Re_fly"
 
 msgid "pendflt_delete_rejected"
Index: locale/hu/mlx.po
===================================================================
--- locale/hu/mlx.po	(revision 828)
+++ locale/hu/mlx.po	(revision 830)
@@ -383,5 +383,5 @@
 msgid "flightsel_prehelp_rep_rej"
 msgstr ""
-"<span color=\"red\">%d visszautasított és %d jelentett járatod van.</span>\n\n "
+"<span color=\"red\">%d jelentett és %d visszautasított járatod van.</span>\n\n "
 
 msgid "flightsel_help"
@@ -2473,6 +2473,6 @@
 msgstr "Elutasított"
 
-msgid "pendflt_edit_rejected"
-msgstr "S_zerkesztés..."
+msgid "pendflt_view_rejected"
+msgstr "_Megtekintés..."
 
 msgid "pendflt_refly_rejected"
Index: src/mlx/gui/flightlist.py
===================================================================
--- src/mlx/gui/flightlist.py	(revision 828)
+++ src/mlx/gui/flightlist.py	(revision 830)
@@ -243,5 +243,5 @@
     ]
 
-    def __init__(self, which, wizard, window):
+    def __init__(self, which, wizard, window, pirepEditable = False):
         """Construct the frame with the given title."""
         super(PendingFlightsFrame, self).__init__(xstr("pendflt_title_" + which))
@@ -250,4 +250,5 @@
         self._wizard = wizard
         self._window = window
+        self._pirepEditable = pirepEditable
 
         alignment = gtk.Alignment(xscale = 1.0, yscale = 1.0)
@@ -267,6 +268,9 @@
         buttonBox = gtk.VBox()
 
-        self._editButton = gtk.Button(xstr("pendflt_edit_" + which))
+        self._editButton = gtk.Button(xstr("pendflt_" +
+                                           ("edit" if pirepEditable else
+                                            "view") + "_" + which))
         self._editButton.set_sensitive(False)
+        self._editButton.connect("clicked", self._editClicked)
         buttonBox.pack_start(self._editButton, False, False, 2)
 
@@ -306,4 +310,33 @@
         self._reflyButton.set_sensitive(len(selectedIndexes)>0)
         self._deleteButton.set_sensitive(len(selectedIndexes)>0)
+
+    def _editClicked(self, button):
+        """Called when the Edit button is clicked."""
+        gui = self._wizard.gui
+        gui.beginBusy(xstr("pendflt_pirep_busy"))
+        self.set_sensitive(False)
+
+        indexes = self._flightList.selectedIndexes
+        assert(len(indexes)==1)
+
+        flightID = self._flights[indexes[0]].id
+        gui.webHandler.getPIREP(self._pirepResultCallback, flightID)
+
+    def _pirepResultCallback(self, returned, result):
+        """Called when the PIREP query result is available."""
+        gobject.idle_add(self._handlePIREPResult, returned, result)
+
+    def _handlePIREPResult(self, returned, result):
+        """Handle the refly result."""
+
+        self.set_sensitive(True)
+        gui = self._wizard.gui
+        gui.endBusy()
+
+        if returned:
+            if self._pirepEditable:
+                gui.editPIREP(result.pirep)
+            else:
+                gui.viewPIREP(result.pirep)
 
     def _reflyClicked(self, button):
@@ -408,5 +441,6 @@
         vbox = gtk.VBox()
 
-        self._reportedFrame = PendingFlightsFrame("reported", wizard, self)
+        self._reportedFrame = PendingFlightsFrame("reported", wizard, self,
+                                                  True)
         vbox.pack_start(self._reportedFrame, True, True, 2)
 
Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 805)
+++ src/mlx/gui/gui.py	(revision 830)
@@ -1252,4 +1252,15 @@
             else:
                 simulator.disableTimeSync()
+
+    def viewPIREP(self, pirep):
+        """Display the PIREP viewer window with the given PIREP."""
+        self._pirepViewer.setPIREP(pirep)
+        self._pirepViewer.show_all()
+        self._pirepViewer.run()
+        self._pirepViewer.hide()
+
+    def editPIREP(self, pirep):
+        """Display the PIREP editor window and allow editing the PIREP."""
+        self.viewPIREP(pirep)
 
     def _loadPIREP(self, menuItem):
